%define upstream_name    XString
%define upstream_version 0.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Isolated String helpers from B
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.870.0
BuildRequires: perl-devel
%description
XString provides the the B manpage string helpers in one isolated package.
Right now only the cstring manpage and the perlstring manpage are
available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Nov 26 2023 tv <tv> 0.5.0-5.mga10
+ Revision: 2009912
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.5.0-4.mga9
+ Revision: 1862621
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.5.0-3.mga9
+ Revision: 1796198
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.5.0-2.mga9
+ Revision: 1727327
- Rebuild for perl 5.34

* Thu Oct 22 2020 tv <tv> 0.5.0-1.mga8
+ Revision: 1638223
- update to 0.005

* Wed Jun 17 2020 umeabot <umeabot> 0.2.0-3.mga8
+ Revision: 1595313
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1538640
- Mageia 8 Mass Rebuild

* Mon Nov 25 2019 tv <tv> 0.2.0-1.mga8
+ Revision: 1462743
- imported package perl-XString

